Package com.independentsoft.office.odf.styles

# Enum Class FillRule

java.lang.Object
java.lang.Enum<FillRule>
com.independentsoft.office.odf.styles.FillRule

All Implemented Interfaces:
  `Serializable`, `Comparable<FillRule>`, `Constable`

public enum FillRule extends Enum<FillRule>
Specifies how the intersecting areas of objects contained in a drawing and grafic are combined to form the area.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVEN_ODD`
  Rule that determines whether a point is in the fill region of the path by drawing a ray from that point to infinity in any direction and then examining the places where a segment of the shape crosses the ray.
  `NON_ZERO`
  Rule that determines whether a point is in the fill region by drawing a ray from that point to infinity in any direction and counting the number of path segments within the given shape that the ray crosses.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FillRule`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FillRule[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NON_ZERO

    public static final FillRule NON_ZERO
    Rule that determines whether a point is in the fill region by drawing a ray from that point to infinity in any direction and counting the number of path segments within the given shape that the ray crosses. If this number is odd, the point is inside; if even, the point is outside.

  - ### EVEN_ODD

    public static final FillRule EVEN_ODD
    Rule that determines whether a point is in the fill region of the path by drawing a ray from that point to infinity in any direction and then examining the places where a segment of the shape crosses the ray.

  - ### NONE

    public static final FillRule NONE
    None.

- ## Method Details

  - ### values

    public static FillRule[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FillRule valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null